// An example of sorting (using insertion sort).
public class SortingExample {

	// Sorts the array 'a' in non-decreasing order,
	public static void sort(int[] a) {
		insertionSort(a);
	}

	// Sorts the array 'a' in non-decreasing order,
	// using the insertion sort algorithm.
	private static void insertionSort(int[] a) {
		int j = 1;
		while (j != a.length) {
			int k = a[j];
			int i = j - 1;
			while (i != -1 && a[i] > k) {
				a[i+1] = a[i];
				i--;
			}
			a[i+1] = k;
			j++;
		}
	}
	
	// Prints an array 'a' of ints using a comma-separated format.
	private static void print(int[] a) {
		if (a.length > 0) {
			System.out.print(a[0]);
			for (int i = 1; i < a.length; i++) {
				System.out.print(", " + a[i]);
			}
		}
		System.out.println("");
	}
	
	// A small program for testing our sort method.
	public static void main(String[] args) {
		int[] a = {2, 9, 25, 3, 45, 15, 20, 8};
		sort(a);
		print(a);		
	}
}
